# Class PostVictoryFormChangeAbAttr

#### Hierarchy (view full)

- PostVictoryAbAttr
  - PostVictoryFormChangeAbAttr

- Defined in src/data/ability.ts:1376

#####
Index

### Constructors

constructor

### Properties

formFunc
showAbility

### Methods

addCondition
apply
applyPostVictory
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostVictoryFormChangeAbAttr(formFunc): PostVictoryFormChangeAbAttr

- #### Parameters

  - formFunc: ((p) => number)
    - - (p): number

      - #### Parameters

        - p: default

        #### Returns number

  #### Returns PostVictoryFormChangeAbAttr

  Overrides PostVictoryAbAttr.constructor

  - Defined in src/data/ability.ts:1379

## Properties

### `Private` formFunc

formFunc: ((p) => number)

#### Type declaration

- - (p): number

  - #### Parameters

    - p: default

    #### Returns number

- Defined in src/data/ability.ts:1377

### showAbility

showAbility: boolean

Inherited from PostVictoryAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostVictoryAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostVictoryAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostVictory

- applyPostVictory(pokemon, passive, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Overrides PostVictoryAbAttr.applyPostVictory

  - Defined in src/data/ability.ts:1385

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostVictoryAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostVictoryAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137